Subject: Re: bug#59087: 29.0.50; package-vc-update error

From: Philip Kaludercic <[email-masked]>
Date: Thu, 17 Nov 2022 15:54:09 +0000

Feng Shu <[email-masked]> writes:

> I have found another issue:
>
> If I run package-update when emacs first start, it will show error:
>
> package-update: Symbol’s function definition is void: package-vc-update

It appears that I had assumed package-vc-update was autoloaded, when it
was in fact not autoloaded.  This comes back to the question of whether
it is worth autoloading the function or not.

Feng Shu <[email-masked]> writes:

> Philip Kaludercic <[email-masked]> writes:
>
> I have tested package-vc-prepare-patch again, still run error
> directory.

You are right, but this looks like a separate bug related to
vc-prepare-patch.  I will report that.